.cover {
  &__img {
    @media #{$m-to-s} {
      @include object-fit(cover);

      height: 320px;
    }
  }

  &__video {
    @include object-fit(cover);

    height: 100vh;

    @media #{$m-to-m} {
      @include object-fit(contain);

      background-color: #000;
      height: calc(100vh - 180px);
      left: 50%;
      max-width: 100%;
      position: relative;
      transform: translate(-50%, 0);
    }
  }
}

.cover-button {
  @media #{$m-to-l} {
    background-color: #050004;
    padding-bottom: 30px;
  }

  &__inner {
    align-items: center;
    border: 2px solid #fff;
    border-radius: 50%;
    bottom: 30px;
    cursor: pointer;
    display: flex;
    height: 55px;
    justify-content: center;
    left: 50%;
    position: absolute;
    transition: 0.5s;
    transform: translate(-50%, 0);
    width: 55px;

    @media #{$m-to-2l} {
      bottom: 20px;
    }

    @media #{$m-to-l} {
      bottom: inherit;
      position: relative;
    }

    @media #{$m-to-m} {
      height: 40px;
      width: 40px;
    }

    svg {
      width: 30px;

      @media #{$m-to-m} {
        width: 25px;
        height: 25px;
      }
    }

    path {
      transition: 0.5s;
    }

    &:hover {
      background-color: #fff;

      path {
        fill: black;
      }
    }
  }
}
